Security Enhanced Linux Reference Policy

# Layer: services

## Module: opensm

Interfaces

### Description:

OpenSM is a software implementation of an InfiniBand subnet manager.

### Interfaces:

opensm_admin( domain , role )

##### Summary

All of the rules required to administrate an opensm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

opensm_domtrans( domain )

##### Summary

Execute opensm in the opensm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

opensm_run( domain , role )

##### Summary

Execute opensm in the opensm domain, and allow the specified role the opensm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return